## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-asyncmy
Summary:        A fast asyncio MySQL/MariaDB driver
Version:        0.2.10
Release:        %autorelease

License:        Apache-2.0
URL:            https://github.com/long2ice/asyncmy
# The GitHub source includes tests and examples; the PyPI source lacks them.
Source:         %{url}/archive/v%{version}/asyncmy-%{version}.tar.gz

# Doc/license files installed directly in site-packages
# https://github.com/long2ice/asyncmy/issues/33
Patch:          0001-Do-not-install-text-files-in-site-packages.patch

BuildSystem:            pyproject
BuildOption(install):   -L asyncmy

# Test failures and errors on 32-bit platforms
# https://github.com/long2ice/asyncmy/issues/34
# https://bugzilla.redhat.com/show_bug.cgi?id=2060899
ExcludeArch:    %{ix86}

BuildRequires:  gcc

%global common_description %{expand:
asyncmy is a fast asyncio MySQL/MariaDB driver, which reuses most of pymysql
and aiomysql but rewrites the core protocol with Cython to speed it up.}

%description %{common_description}


%package -n     python3-asyncmy
Summary:        %{summary}

%description -n python3-asyncmy %{common_description}


%install -a
# Do not distribute Cython-generated C source files; these are not useful
find '%{buildroot}%{python3_sitearch}/asyncmy' \
    -type f -name '*.c' -print -delete
sed -r -i '/\.c$/d' '%{pyproject_files}'


# Tests require interacting with a temporary MySQL/mariadb database. Setting
# this up has become impractical.


%files -n python3-asyncmy -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Dec 13 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.10-2
- F41+: Use the provisional pyproject declarative buildsystem

* Fri Dec 13 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.10-1
- Update to 0.2.10 (close RHBZ#2332085)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.2.9-6
- Rebuilt for Python 3.13

* Wed Jan 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.9-4
- Stop running mysql tests
- Setting up the temporary mariadb test server has become impractical

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.9-1
- Update to 0.2.9 (close RHBZ#2252045)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.8-3
- Use new (rpm 4.17.1+) bcond style

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.2.8-2
- Rebuilt for Python 3.12

* Sat Jun 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.8-1
- Update to 0.2.8 (close RHBZ#2211587)

* Thu Apr 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.7-2
- Stop ExcludeArch’ing 32-bit arm since Fedora 36 is going EOL

* Wed Feb 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.7-1
- Update to 0.2.7 (close RHBZ#2169923)

* Tue Jan 31 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.6-1
- Update to 0.2.6 (close RHBZ#2165860)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.5-7
- Drop default argument -r from pyproject_buildrequires

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.5-6
- Fix MySQL/mariadb test server startup

* Fri Oct 21 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.5-5
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.2.5-3
- Rebuilt for Python 3.11

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.5-2
- Stop numbering patches

* Wed Mar 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.5-1
- Update to 0.2.5 (close RHBZ#2069905)

* Mon Mar 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.4-1
- Update to 0.2.4 (close RHBZ#2068920)

* Fri Mar 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.3-2
- Add RHBZ link for ExcludeArch

* Wed Mar 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.3-1
- Initial package (close RHBZ#2041221)
## END: Generated by rpmautospec
